Skip to main content
POST
/
v4
/
core
/
companies
/
{companyId}
/
expenses
Create an expense
curl --request POST \
  --url https://api.integrations.commenda.io/v4/core/companies/{companyId}/expenses \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "data": {
    "platform_id": "string",
    "document_number": "string",
    "currency_id": "AED",
    "currency_rate": 0,
    "memo": "string",
    "account_id": "string",
    "payment_mode": "string",
    "posted_date": "2024-01-01T00:00:00Z",
    "sub_total": 0,
    "tax_amount": 0,
    "total_discount": 0,
    "total_amount": 0,
    "contact_id": "string",
    "updated_at": "2024-01-01T00:00:00Z",
    "line_items": [
      {
        "platform_id": "string",
        "tracking_category_ids": [
          "string"
        ],
        "parent_id": "string",
        "parent_type": "BILL",
        "item_id": "string",
        "name": "string",
        "description": "string",
        "quantity": 0,
        "unit_amount": 0,
        "tax_amount": 0,
        "discount_amount": 0,
        "sub_total": 0,
        "total_amount": 0,
        "tax_id": "string",
        "account_id": "string",
        "variant_id": "string",
        "created_at": "2024-01-01T00:00:00Z",
        "updated_at": "2024-01-01T00:00:00Z"
      }
    ]
  }
}
'
import requests

url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/expenses"

payload = { "data": {
        "platform_id": "string",
        "document_number": "string",
        "currency_id": "AED",
        "currency_rate": 0,
        "memo": "string",
        "account_id": "string",
        "payment_mode": "string",
        "posted_date": "2024-01-01T00:00:00Z",
        "sub_total": 0,
        "tax_amount": 0,
        "total_discount": 0,
        "total_amount": 0,
        "contact_id": "string",
        "updated_at": "2024-01-01T00:00:00Z",
        "line_items": [
            {
                "platform_id": "string",
                "tracking_category_ids": ["string"],
                "parent_id": "string",
                "parent_type": "BILL",
                "item_id": "string",
                "name": "string",
                "description": "string",
                "quantity": 0,
                "unit_amount": 0,
                "tax_amount": 0,
                "discount_amount": 0,
                "sub_total": 0,
                "total_amount": 0,
                "tax_id": "string",
                "account_id": "string",
                "variant_id": "string",
                "created_at": "2024-01-01T00:00:00Z",
                "updated_at": "2024-01-01T00:00:00Z"
            }
        ]
    } }
headers = {
    "api_key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    data: {
      platform_id: 'string',
      document_number: 'string',
      currency_id: 'AED',
      currency_rate: 0,
      memo: 'string',
      account_id: 'string',
      payment_mode: 'string',
      posted_date: '2024-01-01T00:00:00Z',
      sub_total: 0,
      tax_amount: 0,
      total_discount: 0,
      total_amount: 0,
      contact_id: 'string',
      updated_at: '2024-01-01T00:00:00Z',
      line_items: [
        {
          platform_id: 'string',
          tracking_category_ids: ['string'],
          parent_id: 'string',
          parent_type: 'BILL',
          item_id: 'string',
          name: 'string',
          description: 'string',
          quantity: 0,
          unit_amount: 0,
          tax_amount: 0,
          discount_amount: 0,
          sub_total: 0,
          total_amount: 0,
          tax_id: 'string',
          account_id: 'string',
          variant_id: 'string',
          created_at: '2024-01-01T00:00:00Z',
          updated_at: '2024-01-01T00:00:00Z'
        }
      ]
    }
  })
};

fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/expenses', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "sync_id": "<string>",
    "data": {
      "rootfi_id": 123,
      "rootfi_created_at": "2023-11-07T05:31:56Z",
      "rootfi_updated_at": "2023-11-07T05:31:56Z",
      "platform_id": "<string>",
      "document_number": "<string>",
      "currency_rate": 123,
      "memo": "<string>",
      "account_id": "<string>",
      "payment_mode": "<string>",
      "posted_date": "2023-11-07T05:31:56Z",
      "sub_total": 123,
      "tax_amount": 123,
      "total_discount": 123,
      "total_amount": 123,
      "contact_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "line_items": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "tracking_category_ids": [
            "<string>"
          ],
          "parent_id": "<string>",
          "item_id": "<string>",
          "name": "<string>",
          "description": "<string>",
          "quantity": 123,
          "unit_amount": 123,
          "tax_amount": 123,
          "discount_amount": 123,
          "sub_total": 123,
          "total_amount": 123,
          "tax_id": "<string>",
          "account_id": "<string>",
          "variant_id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "item": [
            {
              "rootfi_id": 123,
              "rootfi_created_at": "2023-11-07T05:31:56Z",
              "rootfi_updated_at": "2023-11-07T05:31:56Z",
              "platform_id": "<string>",
              "name": "<string>",
              "description": "<string>",
              "code": "<string>",
              "sku": "<string>",
              "price": 123,
              "quantity_on_hand": 123,
              "is_bill_item": true,
              "bill_item": "<unknown>",
              "is_invoice_item": true,
              "invoice_item": "<unknown>",
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z",
              "variants": [
                {
                  "rootfi_id": 123,
                  "rootfi_created_at": "2023-11-07T05:31:56Z",
                  "rootfi_updated_at": "2023-11-07T05:31:56Z",
                  "platform_id": "<string>",
                  "parent_id": "<string>",
                  "name": "<string>",
                  "sku": "<string>",
                  "price": 123,
                  "compare_at_price": 123,
                  "attributes": "<unknown>"
                }
              ]
            }
          ],
          "tax": [
            {
              "rootfi_id": 123,
              "rootfi_created_at": "2023-11-07T05:31:56Z",
              "rootfi_updated_at": "2023-11-07T05:31:56Z",
              "platform_id": "<string>",
              "name": "<string>",
              "code": "<string>",
              "rate": 123,
              "tax_type": "<string>",
              "effective_tax_rate": 123,
              "total_tax_rate": 123,
              "components": "<unknown>",
              "jurisdiction": "<string>",
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z"
            }
          ],
          "account": [
            {
              "rootfi_id": 123,
              "rootfi_created_at": "2023-11-07T05:31:56Z",
              "rootfi_updated_at": "2023-11-07T05:31:56Z",
              "platform_id": "<string>",
              "nominal_code": "<string>",
              "name": "<string>",
              "description": "<string>",
              "current_balance": 123,
              "sub_category": "<string>",
              "parent_account_id": "<string>",
              "updated_at": "2023-11-07T05:31:56Z"
            }
          ],
          "variant": [
            {
              "rootfi_id": 123,
              "rootfi_created_at": "2023-11-07T05:31:56Z",
              "rootfi_updated_at": "2023-11-07T05:31:56Z",
              "platform_id": "<string>",
              "parent_id": "<string>",
              "name": "<string>",
              "sku": "<string>",
              "price": 123,
              "compare_at_price": 123,
              "attributes": "<unknown>"
            }
          ]
        }
      ],
      "documents": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "file_name": "<string>",
          "file_type": "<string>",
          "file_size": 123,
          "document_type_id": "<string>",
          "document_uploaded": true,
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  },
  "request_id": "<string>"
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

run_async
boolean

Process the write asynchronously. Required when data is an array (batch write).

Body

application/json
data
object
required

Response

201 - application/json

The created expenses record (sync) or a sync id (async).

data
object
required
request_id
string
required